import groovyx.gpars.dataflow.DataflowVariable
import static groovyx.gpars.dataflow.Dataflow.task

def fetchContent(urlString) { 
  println "fetching url $urlString"
  def result = urlString.toURL().text 
  println "done fetching for $urlString"
  result
}

def spring1 = 'http://springone2gx.com'
def nfjs = 'http://www.nofluffjuststuff.com'

Time.code {
  println  fetchContent(spring1).size() + fetchContent(nfjs).size()
}

Time.code {
  def size1 = new DataflowVariable()
  def size2 = new DataflowVariable()
  
  task { size1 << fetchContent(spring1) }
  task { size2 << fetchContent(nfjs) }
  
  println size1.val.size() + size2.val.size()
}